# Table structure used by sysklogd-sql 
#--------------------------------------------------
# 02-05-26	LO	Added a hostname index
# 02-07-07	LO	New table structure for version 1.4.2.0
#				That splits facility and priority
#
#

#
# Table structure for table 'syslog' 1.4.1.x version
#

# CREATE TABLE syslog (
#   ID int(11) NOT NULL auto_increment,
#   Machine varchar(50) NOT NULL default '',
#   FacilityLevel varchar(25) NOT NULL default '',
#   Date timestamp(14) NOT NULL,
#   Message text NOT NULL,
#   PRIMARY KEY  (ID),
#   KEY hostname (Machine)
# ) TYPE=MyISAM;


#
# Table structure for table 'syslog' 1.4.2.x version
#

#CREATE TABLE syslog (
#  id int(11) NOT NULL auto_increment,
#  machine varchar(50) NOT NULL default '',
#  facility enum('auth','authpriv','cron','daemon','kern','lpr','mail','mark','news','security','syslog','user','uucp','local0','local1','local2','local3','local4','local5','local6','local7') NOT NULL default 'syslog',
#  priority enum('debug','info','notice','warning','warn','err','error','crit','alert','emerg','panic') NOT NULL default 'notice',
#  date1 timestamp(14) NOT NULL,
#  message text NOT NULL,
#  PRIMARY KEY  (id),
#  KEY hostname (machine)
#) TYPE=MyISAM;

#
# Table structure for table 'syslog' 1.4.2.x version using InnoDB
#
CREATE TABLE syslog (
  id int(11) NOT NULL auto_increment,
  machine varchar(50) NOT NULL default '',
  facility enum('auth','authpriv','cron','daemon','kern','lpr','mail','mark','news','security','syslog','user','uucp','local0','local1','local2','local3','local4','local5','local6','local7') NOT NULL default 'syslog',
  priority enum('debug','info','notice','warning','warn','err','error','crit','alert','emerg','panic') NOT NULL default 'notice',
  date1 timestamp(14) NOT NULL,
  message text NOT NULL,
  PRIMARY KEY  (id),
  KEY hostname (machine)
) TYPE=InnoDB;

