alter table syslog add facility enum('auth','authpriv','cron','daemon','kern','lpr','mail','mark','news','security','syslog','user','uucp','local0','local1','local2','local3','local4','local5','local6','local7') NOT NULL default 'syslog' after FacilityLevel;
alter table syslog add priority enum('debug','info','notice','warning','warn','err','error','crit','alert','emerg','panic') NOT NULL default 'notice' after facility;
alter table syslog change date date1 timestamp(14) NOT NULL;
update syslog set priority=substring_index(syslog.facilitylevel, '.', -1), facility=substring_index(syslog.facilitylevel, '.', 1), date1=syslog.date1;
alter table syslog drop FacilityLevel;
insert into syslog(machine, facility, priority, message) values('localhost', 'syslog', 'crit', 'MySQL table for sysklogd-sql has been upgraded to 1.4.2 structure');
